//
//  NSObject+Inspect.h
//  Glyphs
//
//  Created by Georg Seifert on 17.07.24.
//  Copyright © 2024 schriftgestaltung.de. All rights reserved.
//

#ifndef NSObject_Inspect_h
#define NSObject_Inspect_h

#if DEBUG
NSString *GSSymbolForCaller(void);

void printIvars(id obj);

NSTimeInterval getProcessUptime(void);

@interface NSObject (Inspect)

- (void)inspect;

+ (void)inspectTill:(Class)stopClass;

@end

#endif

#endif /* NSObject_Inspect_h */
